Subject: Re: bug#39436: closed (Re: bug#39436: 27.0.60; Documentaion error for package-menu-hide-package)

From: Pieter van Oostrum <[email-masked]>
Date: Sat, 15 Feb 2020 11:31:12 +0100

On 15 Feb 2020, at 09:25, Eli Zaretskii <[email-masked]> wrote:

>> From: Stefan Kangas <[email-masked]>
>> Cc: Pieter van Oostrum <[email-masked]>,  [email-masked]
>> Date: Sun, 09 Feb 2020 22:00:27 +0100
>> 
>> [email-masked] (GNU bug Tracking System) writes:
>> 
>>>> (although "permanently" sounds quite strong to me.)
>>> 
>>> I've removed "Permanently" and made the description more detailed.
>> 
>> Thanks.  But in the new text, there seems to be no indication that the
>> hidden status is saved for future sessions.
>> 
>> I'm not sure how to best describe that, if we feel that "permanently"
>> is not clear enough.  Maybe we could say something along the lines of
>> "for all future sessions" or somesuch.  It's probably also a good idea
>> to mention the variable package-hidden-regexps.
>> 
>> WDYT?
> 
> Feel free to make such a change, although I don't particularly see why
> we need to emphasize the "future sessions" part here.  We don't
> actually say anywhere anything to the contrary, and there are no other
> commands that hide stuff only temporarily, do we?

I think the point is that the accumulated value in package-hidden-regexps is also written to customizations, and therefore preserved for future Emacs sessions.
-- 
Pieter van Oostrum